/*
 * Written by Sean Kelly
 * Placed into Public Domain
 */

module std.c.stddef;

extern (C):

version( X86_64 )
{
    alias ulong size_t;
    alias long  ptrdiff_t;
}
else version( X86 )
{
    alias uint size_t;
    alias int  ptrdiff_t;
}
else
{
    static assert(0);
}

version( Windows )
{
    alias wchar wint_t;
    alias wchar wchar_t;
    alias wchar wctype_t;
    alias wchar wctrans_t;

    const wchar WEOF = 0xFFFF;
}
else
{
    alias dchar wint_t;
    alias dchar wchar_t;
    alias dchar wctype_t;
    alias dchar wctrans_t;

    const dchar WEOF = 0xFFFF;
}